Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jca.cci.core.support
Class CommAreaRecord

    java.lang.Object
      org.springframework.jca.cci.core.support.CommAreaRecord

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.resource.cci.Record, javax.resource.cci.Streamable

    public class CommAreaRecord

extends java.lang.Object
implements javax.resource.cci.Record, javax.resource.cci.Streamable

CCI Record implementation for a COMMAREA, holding a byte array.

Since:
  1.2
Author:
  Thierry Templier, Juergen Hoeller
See Also:
  `MappingCommAreaOperation`, Serialized Form

Constructor Summary
`CommAreaRecord()` Create a new CommAreaRecord.
`CommAreaRecord(byte[] bytes)` Create a new CommAreaRecord.

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `getRecordName()`
`java.lang.String` | `getRecordShortDescription()`
`void` | `read(java.io.InputStream in)`
`void` | `setRecordName(java.lang.String recordName)`
`void` | `setRecordShortDescription(java.lang.String recordShortDescription)`
`byte[]` | `toByteArray()`
`void` | `write(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.resource.cci.Record
`equals, hashCode`

Constructor Detail

### CommAreaRecord

    public CommAreaRecord()

  Create a new CommAreaRecord.

  See Also:
    `read(java.io.InputStream)`

### CommAreaRecord

    public CommAreaRecord(byte[] bytes)

  Create a new CommAreaRecord.

  Parameters:
    `bytes` - the bytes to fill the record with

Method Detail

### setRecordName

    public void setRecordName(java.lang.String recordName)

  Specified by:
    `setRecordName` in interface `javax.resource.cci.Record`

### getRecordName

    public java.lang.String getRecordName()

  Specified by:
    `getRecordName` in interface `javax.resource.cci.Record`

### setRecordShortDescription

    public void setRecordShortDescription(java.lang.String recordShortDescription)

  Specified by:
    `setRecordShortDescription` in interface `javax.resource.cci.Record`

### getRecordShortDescription

    public java.lang.String getRecordShortDescription()

  Specified by:
    `getRecordShortDescription` in interface `javax.resource.cci.Record`

### read

    public void read(java.io.InputStream in)
              throws java.io.IOException

  Specified by:
    `read` in interface `javax.resource.cci.Streamable`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException

  Specified by:
    `write` in interface `javax.resource.cci.Streamable`
  Throws:
    `java.io.IOException`

### toByteArray

    public byte[] toByteArray()

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `javax.resource.cci.Record`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD